Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class TruncatedResultException

    Object
      Throwable
          Exception
              TruncatedResultException

All Implemented Interfaces:
  Serializable

    public class TruncatedResultException

extends Exception

Thrown as a warning to users that the last element of result list of a find operation is the same distance as other objects not selected.

See Also:
  Serialized Form
TODO:
  Can we provide this warning in an other way than throwing an exception?

Constructor Summary
`TruncatedResultException()` Creates an exception with no message.
`TruncatedResultException(String message)` Creates an exception with the specified message.

Method Summary
`List<? extends GeometryValuePair>` | `getResultList()` Returns the result list of a find operation.
`void` | `setResultList(List<? extends GeometryValuePair> resultList)` Sets the result list.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TruncatedResultException

    public TruncatedResultException()

  Creates an exception with no message.

### TruncatedResultException

    public TruncatedResultException(String message)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Method Detail

### getResultList

    public List<? extends GeometryValuePair> getResultList()

  Returns the result list of a find operation.

### setResultList

    public void setResultList(List<? extends GeometryValuePair> resultList)

  Sets the result list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.